use ExtUtils::MakeMaker;

@exefile = ("mkmovie", "mythframes");
@manfile = ("mkmovie.1");

eval "use Curses;";
use Getopt::Long;

die "ERROR: Perl Curses is not installed on your system\n" .
	"ERROR: mkmovie will fail without it!\n" if ($@);

Getopt::Long::Configure("pass_through");
$mythconf = "/usr/local/share/mythtv/mysql.txt";
GetOptions("mythconf=s", \$mythconf);
Getopt::Long::Configure("no_pass_through");

print "Configuring mkmovie to use " . $mythconf . " for the mythtv database configuration file.\n";
print "To change this, re-run this step with '--mythconf <config file>'\n";

open (MKMOVIE_PRECONF, "mkmovie.preconf") or die ("ERROR! Unable to open mkmovie.preconf for reading!");
open (MKMOVIE, ">mkmovie") or die ("ERROR! Unable to open mkmovie for writing!");
while ($line = <MKMOVIE_PRECONF>) {
	$line =~ s/MYTHTV_MYSQL_DB_CONFIG_FILE/$mythconf/g;
	print MKMOVIE $line;
}
close (MKMOVIE);
close (MKMOVIE_PRECONF);

WriteMakefile(
	NAME=>'mkmovie',
	VERSION=>'0.7',
	EXE_FILES=>\@exefile,
	OBJECT=>"mythframes.o",
	clean=>{FILES=>"mkmovie"}
	);
